English

Error: Unable to use Windows Mobile Device Center with Windows 8

Error Message

"Unable to use Windows Mobile Device Center with Windows 8."

Cause

Out of the box, the Windows 8 operating system is not compatible with the Windows Mobile Device Center (WMDC) application. This is because .NET Framework version 4.5 is included with Windows 8 and is installed with the operating system. However, WMDC requires version 3.5 of the .NET Framework, which is not part of the Windows 8 installation.

Solution or Workaround

The steps provided below show how to get the WMDC operating with Windows 8, so data and applications can be transferred between the desktop PC and the mobile device.

Warning:
Attempting to run or install the Windows Mobile Device Center before enabling the .NET Framework may cause issues with installation of the WMDC application. Trimble recommends enabling the .NET Framework 3.5 via the Control Panel before connecting any Windows Mobile and Windows Embedded hand-held devices to the office computer.

  1. .NET Framework 3.5 can be enabled through the Control Panel on the Windows 8 desktop PC. Make sure the desktop PC is connected to the internet.
  2. To access the Control Panel, right-click the Start window, click All Apps, then under the Windows system list, click the Control Panel icon. From Control Panel, select Programs and Features, and select Turn Windows features on or off.
  3. Select the Microsoft .NET Framework 3.5.1 checkbox and click OK.
  4. Once the .NET Framework 3.5 is enabled, the WMDC application can be installed. Connect the hand-held device to the desktop PC, and drivers for mobile device and the WMDC application are automatically installed. The first time the WMDC application is installed, it runs automatically when the installation process is complete.

Related Information